Summary: 	%_vendor LXDE configuration files
Name:    	mageia-lxde-config
Version: 	0.6.1
Release: 	%mkrel 1
Group:   	Graphical desktop/Other
License: 	GPLv2+
URL:		http://www.lxde.org
# (fwang) http://svn.mageia.org/svn/soft/mageia-lxde-config/
Source0: 	%{name}-%{version}.tar.bz2
BuildArch: 	noarch

%description
Configuration files for %_vendor LXDE desktop environment.

%package -n %{name}-Default
Summary: 	%_vendor LXDE Free configuration files
Group: 		Graphical desktop/Other
Requires:	mageia-release-Default
Requires:	mageia-theme-Default
Obsoletes:      %{name}-Free < 0.6.1
Conflicts:	%{name}-Flash
Conflicts:	%{name}-One
Conflicts:	%{name}-Powerpack
Conflicts:      lxde-common < 0.3.2.1-6
Requires(post): lxde-common >= 0.5
Requires(postun): lxde-common >= 0.5
Provides:	%{name} = %{version}

%description -n %{name}-Default
Configuration files for %_vendor Free LXDE desktop environment.

%prep
%setup -qn %{name}-%{version}

%install
rm -rf %{buildroot}

export sysconfdir=%{_sysconfdir}
export localstatedir=%{_localstatedir}/lib

%makeinstall_std

%clean
rm -rf %{buildroot}

%pre -n %{name}-Default
if [ -d %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default ]; then
  rm -rf %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default
fi

%post -n %{name}-Default
update-alternatives --install %{_sysconfdir}/xdg/lxsession/LXDE/desktop.conf lxde-config %{_localstatedir}/lib/%_real_vendor/lxde-profiles/Default/desktop.conf 10

%postun -n %{name}-Default
if ! [ -e /var/lib/%_real_vendor/lxde-profiles/Default ]; then
  update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/desktop.conf
fi

%triggerpostun -n %{name}-Default -- %{name}-Default < 0.5
update-alternatives --remove lxde-config /var/lib/%_real_vendor/lxde-profiles/Default/config

%files -n %{name}-Default
%defattr(-,root,root)
%{_localstatedir}/lib/mageia/lxde-profiles/Default


%changelog
* Thu Feb 10 2011 dmorgan <dmorgan> 0.6.1-1.mga1
+ Revision: 49846
- Use Default instead of Free for the product

* Fri Feb 04 2011 ahmad <ahmad> 0.6-2.mga1
+ Revision: 46994
- imported package mageia-lxde-config


* Fri Feb 04 2011 Ahmad Samir <ahmadsamir3891@gmail.com> 0.6-1mdv2010.1
- new version 0.6
- only ship Free for now

* Wed Jun 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5-2mdv2010.1
+ Revision: 547799
- fix typo in desktop.conf file in Flash, Powerpack and One editions
  (spotted by Luca Berra); should finally fix (mdv #59624)

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.5-1mdv2010.1
+ Revision: 476260
- new version 0.5

* Sun May 03 2009 Funda Wang <fwang@mandriva.org> 0.4-2mdv2010.0
+ Revision: 370897
- fix requires

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.4-1mdv2010.0
+ Revision: 369383
- New version 0.4 (adopt to lxde-common split)

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.1-6mdv2009.0
+ Revision: 268135
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Mon Jun 02 2008 Funda Wang <fwang@mandriva.org> 0.1-5mdv2009.0
+ Revision: 214158
- requires on post and postun

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.1-4mdv2009.0
+ Revision: 214138
- Require lxde-common for /usr/share/lxde

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.1-3mdv2009.0
+ Revision: 214124
- fix post script of Flash and Free

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 0.1-2mdv2009.0
+ Revision: 206527
- conflicts with older lxde-common
- fix url

* Sat May 10 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.0
+ Revision: 205380
- fix group
- import source and spec
- Created package structure for mandriva-lxde-config.

